package info.edu;

import info.edu.model.User;

import java.text.SimpleDateFormat;
import java.util.*;

public class BaseMain {

    private static User loginUser= new User();

    public void  setToken(Map map){
        User user = new User();
        user.setId(map.get("id").toString());
        user.setPwd(map.get("pwd").toString());
        user.setName(map.get("name").toString());
        user.setAccount(map.get("account").toString());
        user.setCreated(map.get("created").toString());
        loginUser = user;
    }

    public User getUser(String key){
        return loginUser;
    }

    public void clearUser(){
        loginUser = new User();
    }

    public List<User> getAllUser(List<Map> maps) {
        List<User> users = new ArrayList<>();
        for (Map map : maps) {
            User user = new User();
            user.setId(map.get("id").toString());
            user.setPwd(map.get("pwd").toString());
            user.setName(map.get("name").toString());
            user.setAccount(map.get("account").toString());
            Date date = new Date(Long.valueOf(map.get("created").toString()));
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            user.setCreated(sdf.format(date));
            users.add(user);
        }
        return users;
    }
}
