package info.edu.utils;

import java.security.MessageDigest;
import java.util.Random;

public class MD5Utils
{
    
    public static final String pwdRule(final String pwd) {
        final String rule = pwd;
        return md5(rule);
    }



    public static final String md5(final String s) {
        final char[] hexDigits = { '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F' };
        try {
            final byte[] btInput = s.getBytes();
            final MessageDigest mdInst = MessageDigest.getInstance("MD5");
            mdInst.update(btInput);
            final byte[] md = mdInst.digest();
            final int j = md.length;
            final char[] str = new char[j * 2];
            int k = 0;
            for (final byte byte0 : md) {
                str[k++] = hexDigits[byte0 >>> 4 & 0xF];
                str[k++] = hexDigits[byte0 & 0xF];
            }
            return new String(str).toLowerCase();
        }
        catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    
    public static final boolean pwdValidate(final String pwd, final String dpwd) {
        return pwdRule(pwd).equals(dpwd);
    }
}
